#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int brcif (int n)
{
    int k=0;
    while (n>0)
    {
        n=n/10;
        k++;
    }
    return k;
}
int main()
{
    int a,b,c;

    cin >> a >> b >> c;
    int x,y,z,p,o,u;
    x=a*pow(10,brcif(b)+brcif(c))+b*pow(10,brcif(c))+c;
    y=a*pow(10,brcif(b)+brcif(c))+c*pow(10,brcif(b))+b;
    z=b*pow(10,brcif(a)+brcif(c))+a*pow(10,brcif(c))+c;
    p=b*pow(10,brcif(a)+brcif(c))+c*pow(10,brcif(a))+a;
    o=c*pow(10,brcif(b)+brcif(a))+a*pow(10,brcif(b))+b;
    u=c*pow(10,brcif(b)+brcif(a))+b*pow(10,brcif(a))+a;
    int maks;
    maks=x;
    if (maks<y) maks=y;
    if (maks<z) maks=z;
    if (maks<p) maks=p;
    if (maks<o) maks=o;
    if (maks<u) maks=u;
    cout << maks;
    return 0;
}